Initiate crypto collection
curl --request POST \
--url https://api-prod.blaaiz.com/api/external/collection/crypto \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 25,
"wallet_id": "9d469b3f-ca6c-4e82-8b4f-5f323c9ab03e",
"network": "MATIC_MAINNET",
"token": "USDT"
}
'import requests
url = "https://api-prod.blaaiz.com/api/external/collection/crypto"
payload = {
"amount": 25,
"wallet_id": "9d469b3f-ca6c-4e82-8b4f-5f323c9ab03e",
"network": "MATIC_MAINNET",
"token": "USDT"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: 25,
wallet_id: '9d469b3f-ca6c-4e82-8b4f-5f323c9ab03e',
network: 'MATIC_MAINNET',
token: 'USDT'
})
};
fetch('https://api-prod.blaaiz.com/api/external/collection/crypto', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://api-prod.blaaiz.com/api/external/collection/crypto")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"amount\": 25,\n \"wallet_id\": \"9d469b3f-ca6c-4e82-8b4f-5f323c9ab03e\",\n \"network\": \"MATIC_MAINNET\",\n \"token\": \"USDT\"\n}"
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-prod.blaaiz.com/api/external/collection/crypto",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'amount' => 25,
'wallet_id' => '9d469b3f-ca6c-4e82-8b4f-5f323c9ab03e',
'network' => 'MATIC_MAINNET',
'token' => 'USDT'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"message": "Crypto collection initiated successfully.",
"transaction": {
"transaction_id": "fb87c0f8-31e3-46f3-b0d3-1ff2618565bc",
"reference": "7u5sXBFPA8IVDqV",
"token": "USDT",
"token_amount": 25,
"network": "MATIC_MAINNET",
"address": "0xdb664b89191eb50e0b45d7516c1adc2fcc327746",
"status": "PENDING",
"expires_at": "2024-02-26T14:24:15.000000Z"
}
}{
"message": "Invalid or missing access token"
}Crypto
Initiate crypto collection
Initiate a crypto collection to fund a wallet using cryptocurrency. Required scope: collection:crypto:create.
POST
/
api
/
external
/
collection
/
crypto
Initiate crypto collection
Authorizations
Use your OAuth client credentials to obtain a short-lived Bearer token from POST /oauth/token.
Headers
Content type header.
Body
application/json
Amount to collect (minimum 0.1).
Required range:
x >= 0.1Wallet ID to fund.
Blockchain network (e.g., ETHEREUM_MAINNET, MATIC_MAINNET, TRON_MAINNET).
Token to use (e.g., USDT, USDC).
Existing customer ID to associate with the collection.
Was this page helpful?
⌘I

